=== debian/control ===
--- 
+++ 
@@ -10,9 +10,8 @@
 Vcs-Git: https://salsa.debian.org/debian/strongswan.git
 Build-Depends: bison,
                bzip2,
-               debhelper (>= 9.20160709),
+               debhelper (>= 10),
                dh-apparmor,
-               dh-autoreconf,
                dpkg-dev (>= 1.16.2),
                flex,
                gperf,
@@ -26,7 +25,7 @@
                libldap2-dev,
                libldns-dev,
                libmysqlclient-dev,
-               libnm-dev,
+               libnm-dev [linux-any],
                libpam0g-dev,
                libpcsclite-dev,
                libsoup2.4-dev,
@@ -37,7 +36,6 @@
                libtspi-dev,
                libunbound-dev,
                libxml2-dev,
-               network-manager-dev (>= 0.7) [linux-any],
                pkg-config,
                po-debconf,
                systemd [linux-any],
@@ -58,8 +56,8 @@
 Package: libstrongswan
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: strongswan-starter (<< 5.3.5-2), libstrongswan-extra-plugins (<= 5.6.1-2ubuntu1~)
-Replaces: strongswan-starter (<< 5.3.5-2), libstrongswan-extra-plugins (<= 5.6.1-2ubuntu1~)
+Breaks: strongswan-starter (<< 5.3.5-2)
+Replaces: strongswan-starter (<< 5.3.5-2)
 Recommends: libstrongswan-standard-plugins
 Suggests: libstrongswan-extra-plugins
 Description: strongSwan utility and crypto library
@@ -133,8 +131,8 @@
 Depends: libstrongswan (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Breaks: libstrongswan (<= 5.6.1-2ubuntu1~), strongswan-ike (<= 5.1.1-1), libcharon-extra-plugins (<= 5.5.3-1)
-Replaces: libstrongswan (<= 5.6.1-2ubuntu1~), strongswan-ike (<= 5.1.1-1), libcharon-extra-plugins (<= 5.5.3-1)
+Breaks: libstrongswan (<= 5.1.1-1), strongswan-ike (<= 5.1.1-1), libcharon-extra-plugins (<= 5.5.3-1)
+Replaces: libstrongswan (<= 5.1.1-1), strongswan-ike (<= 5.1.1-1), libcharon-extra-plugins (<= 5.5.3-1)
 Description: strongSwan utility and crypto library (extra plugins)
  The strongSwan VPN suite uses the native IPsec stack in the standard
  Linux kernel. It supports both the IKEv1 and IKEv2 protocols.
@@ -256,3 +254,8 @@
  The strongSwan VPN suite uses the native IPsec stack in the standard
  Linux kernel. It supports both the IKEv1 and IKEv2 protocols.
  .
+ The starter and the associated "ipsec" script control the charon daemon from
+ the command line. It parses ipsec.conf and loads the configurations to the
+ daemon.
+
+Package: strongswan-libcharon
