=== debian/control ===
--- 
+++ 
@@ -41,7 +41,6 @@
                systemd [linux-any],
                tzdata
 Homepage: http://www.strongswan.org
-XS-Testsuite: autopkgtest
 
 Package: strongswan
 Architecture: all
@@ -102,9 +101,9 @@
   - kernel-pfroute [kfreebsd] (Networking kernel interface using PF_ROUTE)
   - resolve (Writes name servers received via IKE to a resolv.conf file or
     installs them via resolvconf(8))
-  .
-  Also included is the libtpmtss library adding support for TPM plugin
-  (https://wiki.strongswan.org/projects/strongswan/wiki/TpmPlugin)
+ .
+ Also included is the libtpmtss library adding support for TPM plugin
+ (https://wiki.strongswan.org/projects/strongswan/wiki/TpmPlugin)
 
 Package: libstrongswan-standard-plugins
 Architecture: any
@@ -259,3 +258,4 @@
  daemon.
 
 Package: strongswan-libcharon
+Architecture: any
