=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 CONFIGUREARGS := --libdir=/usr/lib --libexecdir=/usr/lib \
-		--with-tss=trousers \
+		--enable-tss-trousers \
 		--enable-acert \
 		--enable-addrblock \
 		--enable-agent \
@@ -44,12 +44,12 @@
 		--enable-imc-attestation \
 		--enable-imc-os \
 		--enable-imc-scanner \
-		--enable-imc-swid \
+		--enable-imc-swima \
 		--enable-imc-test \
 		--enable-imv-attestation \
 		--enable-imv-os \
 		--enable-imv-scanner  \
-		--enable-imv-swid \
+		--enable-imv-swima \
 		--enable-imv-test \
 		--enable-ipseckey \
 		--enable-kernel-libipsec \
@@ -78,7 +78,6 @@
 		--enable-tnc-imv \
 		--enable-tnc-pdp \
 		--enable-unbound \
-		--enable-unit-tests \
 		--enable-unity \
 		--enable-whitelist \
 		--enable-xauth-eap \
@@ -93,7 +92,7 @@
 	# And for --enable-eap-sim we would need the library, which we don't
 	# have right now.
 	# Don't --enable-cisco-quirks, because some other IPsec implementations
-	# (most notably the Phion one) have problems connecting when pluto 
+	# (most notably the Phion one) have problems connecting when pluto
 	# sends these Cisco options.
 	# don't enable medsrv/medcli right now (20160523) since clearsilver FTBFS
 	#--enable-medsrv --enable-medcli \
